Name:          python-ujson
Version:       5.5.0
Release:       1mamba
Summary:       Ultra fast JSON encoder and decoder for Python
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/ultrajson/ultrajson
Source:        https://pypi.debian.net/ujson/ujson-%{version}.tar.gz
License:       BSD
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libpython3-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: libpython-devel
Requires:      python >= %python_version

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n ujson-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%dir %{python_sitearch}/ujson-%{version}-py*.egg-info
%{python_sitearch}/ujson-%{version}-py*.egg-info/*

%changelog
* Fri Sep 16 2022 Automatic Build System <autodist@mambasoft.it> 5.5.0-1mamba
- automatic version update by autodist

* Sat Jul 02 2022 Automatic Build System <autodist@mambasoft.it> 5.4.0-1mamba
- automatic version update by autodist

* Thu May 19 2022 Automatic Build System <autodist@mambasoft.it> 5.3.0-1mamba
- automatic version update by autodist

* Wed Apr 06 2022 Automatic Build System <autodist@mambasoft.it> 5.2.0-1mamba
- automatic version update by autodist

* Wed Dec 22 2021 Automatic Build System <autodist@mambasoft.it> 5.1.0-1mamba
- automatic version update by autodist

* Fri Dec 17 2021 Automatic Build System <autodist@mambasoft.it> 5.0.0-1mamba
- automatic version update by autodist

* Tue Nov 23 2021 Automatic Build System <autodist@mambasoft.it> 4.3.0-1mamba
- automatic version update by autodist

* Wed Sep 22 2021 Automatic Build System <autodist@mambasoft.it> 4.2.0-1mamba
- automatic version update by autodist

* Tue Aug 17 2021 Automatic Build System <autodist@mambasoft.it> 4.1.0-1mamba
- automatic version update by autodist

* Mon Apr 12 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 4.0.2-1mamba
- package created using the webbuild interface
